Bug 1261891 - [RFE] Enable LDAP authentication support in RHCS
Summary: [RFE] Enable LDAP authentication support in RHCS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 2.0
Assignee: Matt Benjamin (redhat)
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504
TreeView+ depends on / blocked
 
Reported: 2015-09-10 12:00 UTC by Vimal Kumar
Modified: 2019-11-14 06:57 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Active Directory/LDAP authentication is now supported Red Hat Ceph Storage now supports LDAP authentication. As a result, users can use LDAP accounts to access buckets in the Ceph Object Gateway. In addition, they can use LDAP authentication to authenticate against Microsoft Active Directory. For details see the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/ceph-object-gateway-with-ldap-ad-guide/[Ceph Object Gateway with LDAP/AD] guide.
Clone Of:
Environment:
Last Closed: 2016-08-23 19:26:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1758493 None None None 2017-01-25 20:47:38 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Comment 10 shylesh 2016-08-04 15:06:00 UTC
Tested this feature with redhat-ds-10.0.0-1.el7dsrv.x86_64 on both ubuntu and RHEL as clients. All the planned tests are complete , hence marking this as verified.

Comment 13 errata-xmlrpc 2016-08-23 19:26:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.